.block-teaser-element-grid {
  position: relative;
  overflow: hidden;
}
.block-teaser-element-grid .teasers-grid {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  margin: 0 -0.6px;
}
.block-teaser-element-grid .teasers-grid .teaser-item {
  position: relative;
  width: calc(100% / 3);
  height: 30rem;
  border: 0.25px solid var(--bs-white);
  border-top: none;

  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

@media only screen and (min-width: 768px) {
  .block-teaser-element-grid
    .teasers-grid
    .teaser-item:not(:nth-child(3n + 1)) {
    border-left: none;
  }
  .block-teaser-element-grid .teasers-grid .teaser-item:nth-child(1),
  .block-teaser-element-grid .teasers-grid .teaser-item:nth-child(2),
  .block-teaser-element-grid .teasers-grid .teaser-item:nth-child(3) {
    border-top: 0.25px solid var(--bs-white);
  }
}

.block-teaser-element-grid .teaser-item .teaser-link {
  position: absolute;
  inset: 0; /* top:0; right:0; bottom:0; left:0 */
  z-index: 5;
  display: block;
  text-decoration: none;
  /* For accessibility */
  background: transparent;
  font-size: 0;
}
.block-teaser-element-grid .teaser-item .teaser-link:focus-visible {
  outline-offset: 0;
  box-shadow: inset 0px 0 0 4px var(--color-primary);
}
.block-teaser-element-grid .teaser-item .image-teaser {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;

  overflow: hidden;
}
.block-teaser-element-grid .teaser-item .image-teaser img {
  width: 100%;
  height: 100%;
  object-fit: cover;

  transition: transform 0.8s ease-in 0.05s;
  will-change: transform;
}
.block-teaser-element-grid .teaser-item:hover .image-teaser img {
  transform: scale(1.08);
}
.block-teaser-element-grid .teaser-item .teaser-content {
  position: relative;
  background: linear-gradient(
    180.24deg,
    rgba(21, 21, 21, 0) 0.21%,
    #151515 53.11%
  );
  padding: 3.188rem 2.5rem 2.563rem;
  font-size: 0.875rem;
  line-height: 1.5rem;
}
.block-teaser-element-grid .teaser-item .teaser-content > * {
  width: 80%;
  color: var(--bs-white);
}
.block-teaser-element-grid .teaser-item .teaser-content .headline {
  margin-bottom: 0.75rem;
}
.block-teaser-element-grid .teaser-item .teaser-content .headline::after {
  width: 100%;
  height: 0.5rem;
  margin-top: 0.563rem;
}
.block-teaser-element-grid .teaser-item .teaser-content .headline::before {
  content: url('data:image/svg+xml;charset=utf-8,<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M9 18L15 12L9 6" stroke="%239B7C5F" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/></svg>');
  float: right;
  transition: all 0.35s ease;
}
.block-teaser-element-grid
  .teaser-item:hover
  .teaser-content
  .headline::before {
  content: url('data:image/svg+xml;charset=utf-8,<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M9 18L15 12L9 6" stroke="white" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/></svg>');
}

/* Responsive */
@media only screen and (max-width: 1399px) {
  .block-teaser-element-grid .teasers-grid .teaser-item {
    height: 22.5rem;
  }
  .block-teaser-element-grid .teaser-item .teaser-content {
    padding: 2.709rem 1.188rem 1.084rem;
  }
  .block-teaser-element-grid .teaser-item .teaser-content > * {
    width: 100%;
  }
}

@media only screen and (max-width: 991px) {
  .block-teaser-element-grid .teasers-grid .teaser-item {
    height: 24rem;
  }
  .block-teaser-element-grid .teaser-item .teaser-content {
    padding: 2.89rem 1.267rem 1.157rem;
    font-size: 0.8rem;
    line-height: 1.333rem;
  }
  .block-teaser-element-grid .teaser-item .teaser-content > * {
    width: 90%;
  }
  .block-teaser-element-grid .teaser-item .teaser-content .headline {
    margin-bottom: 0.823rem;
  }
  .block-teaser-element-grid .teaser-item .teaser-content .headline::after {
    height: 0.4rem;
    margin-top: 0.383rem;
  }
}

@media only screen and (max-width: 767px) and (min-width: 576px) {
  .block-teaser-element-grid .teasers-grid {
    margin: 0 -0.7px;
  }
  .block-teaser-element-grid .teasers-grid .teaser-item {
    width: 50%;
  }
  .block-teaser-element-grid
    .teasers-grid
    .teaser-item:not(:nth-child(2n + 1)) {
    border-left: none;
  }
  .block-teaser-element-grid .teasers-grid .teaser-item:nth-child(1),
  .block-teaser-element-grid .teasers-grid .teaser-item:nth-child(2) {
    border-top: 0.25px solid var(--bs-white);
  }
}

@media only screen and (max-width: 575px) {
  .block-teaser-element-grid .teasers-grid {
    margin: 0;
  }
  .block-teaser-element-grid .teasers-grid .teaser-item {
    width: 100%;
    border-width: 0.2px;
    border-left: none;
    border-right: none;
  }
  .block-teaser-element-grid .teasers-grid .teaser-item:first-child {
    border-top: none;
  }
  .block-teaser-element-grid .teasers-grid .teaser-item:last-child {
    border-bottom: none;
  }
}
